Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.able
Interface Insetable

All Superinterfaces:
  Delegateable

All Known Implementing Classes:
  AbleComponent, BalloonHelp, ButtonEx, Calculator, CalculatorField, ColorChooser, ComboBox, ContainerEx, DateChooser, DateField, DefaultTabModel.TabButton, DisplayLayoutData, DropDown, EditableLabelEx, ExpandableSection, GroupBox, ImageIcon, ImageMap, LabelEx, ListSection, LiveTable, Menu, MenuBar, MenuButton, MenuItem, PopUp, ProgressBar, PushButton, RichTextArea, ScrollableDisplayLayoutData, Separator, Slider, Strut, TabbedPane, TemplatePanel, TitleBar, Tree

    public interface Insetable

extends Delegateable

The `Insetable` interface is used to set extra space inside and outside a component. The 'Insets' is the extra space around the content of a component, while the 'Outsets' is the extra space around the outside of a component.

Field Summary
`static Insets` | `DEFAULT_INSETS` A default insets object that has zero-pixel sizes.
`static Insets` | `DEFAULT_OUTSETS` A default outsets object that has zero-pixel sizes.
`static java.lang.String` | `PROPERTY_INSETS`
`static java.lang.String` | `PROPERTY_OUTSETS`

Method Summary
`Insets` | `getInsets()`
`Insets` | `getOutsets()`
`void` | `setInsets(Insets newValue)` Sets the Insets in play.
`void` | `setOutsets(Insets newValue)` Sets the Outsets in play.

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Field Detail

### DEFAULT_INSETS

    static final Insets DEFAULT_INSETS

  A default insets object that has zero-pixel sizes.

### DEFAULT_OUTSETS

    static final Insets DEFAULT_OUTSETS

  A default outsets object that has zero-pixel sizes.

### PROPERTY_INSETS

    static final java.lang.String PROPERTY_INSETS

See Also:
  Constant Field Values

### PROPERTY_OUTSETS

    static final java.lang.String PROPERTY_OUTSETS

See Also:
  Constant Field Values

Method Detail

### getInsets

    Insets getInsets()

  Returns:
    the Insets in use or null if here are none

### getOutsets

    Insets getOutsets()

  Returns:
    the Outsets in use or null if here are none

### setInsets

    void setInsets(Insets newValue)

  Sets the Insets in play. The Insets control the extra space around the content of a container.

  Parameters:
    `newValue` - - the Insets to use

### setOutsets

    void setOutsets(Insets newValue)

  Sets the Outsets in play. The Outsets control the extra space around the outside of a container.

  Parameters:
    `newValue` - - the Ousets to use

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD